---

- name: Install build dependencies
  become: yes
  ansible.builtin.apt:
    name: >
      dh-autoreconf, libxcb-keysyms1-dev, libpango1.0-dev, libxcb-util0-dev, xcb, libxcb1-dev,
      libxcb-icccm4-dev, libyajl-dev, libev-dev, libxcb-xkb-dev, libxcb-cursor-dev,
      libxkbcommon-dev, libxcb-xinerama0-dev, libxkbcommon-x11-dev, libstartup-notification0-dev,
      libxcb-randr0-dev, libxcb-xrm0, libxcb-xrm-dev, libxcb-shape0, libxcb-shape0-dev
    state: latest
    update_cache: yes

- name: Clone repository
  ansible.builtin.git:
    dest: "{{ lookup('env', 'HOME') }}/repositories/i3-gaps"
    repo: "https://github.com/Airblader/i3.git"

- name: Create build dir
  ansible.builtin.file:
    state: directory
    mode: 0755
    path: "{{ lookup('env', 'HOME') }}/repositories/i3-gaps/build"

- name: Configure build
  ansible.builtin.shell:
    chdir: "{{ lookup('env', 'HOME') }}/repositories/i3-gaps/build"
    cmd: "meson --prefix /usr/local -Ddocs=true -Dmans=true"

- name: Build
  ansible.builtin.shell:
    chdir: "{{ lookup('env', 'HOME') }}/repositories/i3-gaps/build"
    cmd: "ninja"

- name: Build/install with ninja
  become: yes
  ansible.builtin.shell:
    chdir: "{{ lookup('env', 'HOME') }}/repositories/i3-gaps/build"
    cmd: "ninja install"

- name: Stow config files
  stow:
    package: i3
    dir: "{{ role_path }}/files"
    state: supress
